Botan 1.10.17

Namespaces | Functions
base64.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::base64_decode (byte output[], const char input[], size_t input_length, size_t &input_consumed, bool final_inputs, bool ignore_ws)
size_t | Botan::base64_decode (byte output[], const char input[], size_t input_length, bool ignore_ws)
size_t | Botan::base64_decode (byte output[], const std::string &input, bool ignore_ws)
SecureVector< byte > | Botan::base64_decode (const char input[], size_t input_length, bool ignore_ws)
SecureVector< byte > | Botan::base64_decode (const std::string &input, bool ignore_ws)
size_t | Botan::base64_encode (char out[], const byte in[], size_t input_length, size_t &input_consumed, bool final_inputs)
std::string | Botan::base64_encode (const byte input[], size_t input_length)
std::string | Botan::base64_encode (const MemoryRegion< byte > &input)